#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.component.keynumber.interfaces import IKeyNumberContainerTarget
from pyams_content.component.paragraph import IBaseParagraph

# import packages
from zope.schema import Bool, Choice, TextLine

from pyams_content import _


KEYNUMBER_PARAGRAPH_TYPE = 'KeyNumbers'
KEYNUMBER_PARAGRAPH_NAME = _("Key numbers")
KEYNUMBER_PARAGRAPH_RENDERERS = 'PyAMS.keynumbers.renderers'


class IKeyNumberParagraph(IKeyNumberContainerTarget, IBaseParagraph):
    """Key numbers paragraph interface"""

    renderer = Choice(title=_("Key numbers template"),
                      description=_("Presentation template used for key numbers"),
                      vocabulary=KEYNUMBER_PARAGRAPH_RENDERERS,
                      default='default')
